diff -crN buildroot-2013.08.1/board/ckb/common/cmj100-module-old/linux-3.2.x/cmd.c buildroot-2013.08.1/board/ckb/common/cmj100-module/linux-3.2.x/cmd.c
*** buildroot-2013.08.1/board/ckb/common/cmj100-module-old/linux-3.2.x/cmd.c	2014-05-12 10:46:55.000000000 +0900
--- buildroot-2013.08.1/board/ckb/common/cmj100-module/linux-3.2.x/cmd.c	2015-09-08 10:34:22.048402000 +0900
***************
*** 73,79 ****
  	intr = wl1271_read32(wl, ACX_REG_INTERRUPT_NO_CLEAR);
  	while (!(intr & WL1271_ACX_INTR_CMD_COMPLETE)) {
  		if (time_after(jiffies, timeout)) {
! 			wl1271_error("command complete timeout");
  			ret = -ETIMEDOUT;
  			goto fail;
  		}
--- 73,79 ----
  	intr = wl1271_read32(wl, ACX_REG_INTERRUPT_NO_CLEAR);
  	while (!(intr & WL1271_ACX_INTR_CMD_COMPLETE)) {
  		if (time_after(jiffies, timeout)) {
! 			wl1271_info("command complete timeout");
  			ret = -ETIMEDOUT;
  			goto fail;
  		}
***************
*** 104,110 ****
  	return 0;
  
  fail:
! 	WARN_ON(1);
  	wl12xx_queue_recovery_work(wl);
  	return ret;
  }
--- 104,111 ----
  	return 0;
  
  fail:
! 	/* not needed; removed */
! 	// WARN_ON(1);
  	wl12xx_queue_recovery_work(wl);
  	return ret;
  }
diff -crN buildroot-2013.08.1/board/ckb/common/cmj100-module-old/linux-3.2.x/tx.c buildroot-2013.08.1/board/ckb/common/cmj100-module/linux-3.2.x/tx.c
*** buildroot-2013.08.1/board/ckb/common/cmj100-module-old/linux-3.2.x/tx.c	2014-05-12 11:05:12.000000000 +0900
--- buildroot-2013.08.1/board/ckb/common/cmj100-module/linux-3.2.x/tx.c	2015-09-08 10:34:32.831019000 +0900
***************
*** 195,202 ****
  	    !ieee80211_is_auth(hdr->frame_control) &&
  	    !ieee80211_is_assoc_req(hdr->frame_control))
  		return wl->sta_hlid;
! 	else
! 		return wl->dev_hlid;
  }
  
  static unsigned int wl12xx_calc_packet_alignment(struct wl1271 *wl,
--- 195,202 ----
  	    !ieee80211_is_auth(hdr->frame_control) &&
  	    !ieee80211_is_assoc_req(hdr->frame_control))
  		return wl->sta_hlid;
! 	
! 	return wl->dev_hlid;
  }
  
  static unsigned int wl12xx_calc_packet_alignment(struct wl1271 *wl,
***************
*** 398,404 ****
  
  	hlid = wl1271_tx_get_hlid(wl, skb);
  	if (hlid == WL12XX_INVALID_LINK_ID) {
! 		wl1271_error("invalid hlid. dropping skb 0x%p", skb);
  		return -EINVAL;
  	}
  
--- 398,404 ----
  
  	hlid = wl1271_tx_get_hlid(wl, skb);
  	if (hlid == WL12XX_INVALID_LINK_ID) {
! 		wl1271_info("invalid hlid. dropping skb 0x%p", skb);
  		return -EINVAL;
  	}
  

